# FLAC: FLAC__StreamMetadata_Picture Struct Reference

FLAC__StreamMetadata_Picture Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes

FLAC__StreamMetadata_Picture_Type | type
char * | mime_type
FLAC__byte * | description
FLAC__uint32 | width
FLAC__uint32 | height
FLAC__uint32 | depth
FLAC__uint32 | colors
FLAC__uint32 | data_length
FLAC__byte * | data

## Detailed Description

FLAC PICTURE structure. (See the format specification for the full description of each field.)

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation